### Method

# Camel NameValueArray free

since: 3.24

#### Declaration [src]

    void
    camel_name_value_array_free (
      CamelNameValueArray* array
    )

#### Description [src]

Frees the `array`, previously allocated by camel_name_value_array_new(), `camel_name_value_array_new_sized()` or camel_name_value_array_copy(). If the `array` is `NULL`, then does nothing.

Available since: 3.24

#### Parameters

`array`

  Type: `CamelNameValueArray`

  A `CamelNameValueArray`, or `NULL`.

  The argument can be `NULL`.